Vulnerabilità: CVE-2019-12957

In Xpdf 4.01.01, un buffer over-lettura potrebbe essere attivato in FoFiType1C :: convertToType1 in fofi / FoFiType1C.cc quando il numero indice è maggiore dei limiti di matrice charset. Si può, per esempio, essere attivato mediante l’invio di un documento PDF artigianale allo strumento pdftops. Esso consente a un utente malintenzionato di utilizzare un file pdf predisposto a causare Denial of Service o di una perdita di informazioni, o eventualmente avere non specificato altro impatto.


https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/TNIJWRYTCLGV35WGIHYTMMOPEEOOTIPT/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/DJJD7X3ES7ZHJUY2R3DAVCJPV23R64VK/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/FWEWFUVITPA3Y6F4A5SJSROKYT7PRH7Q/
https://forum.xpdfreader.com/viewtopic.php?f=3&t=41813
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-12957


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi